﻿/**Begin D:\next\pdm_upgrade\pdm_upgrade\pdm1\MD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MD_FOREXQUOTE_H' AND KSQL_COL_NAME IN ('FVIEWDATEAXISID')) 
 ALTER TABLE T_MD_FOREXQUOTE_H ADD (FVIEWDATEAXISID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXQUOTE_DEFINE_H') 
 CREATE TABLE T_MD_FOREXQUOTE_DEFINE_H (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FQUOTETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSPOTDELAY INT DEFAULT 2 NOT NULL,
FSPOTMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFOWARDMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFOWARDQUOTATION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDATEADJUSTMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDATASOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRCURYIELDCURVEID BIGINT DEFAULT 0 NOT NULL,
FLCURYIELDCURVEID BIGINT DEFAULT 0 NOT NULL,
FDATEAXISID BIGINT DEFAULT 0 NOT NULL,
FMIDCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAUTOUPDATE CHAR(1) DEFAULT '0' NOT NULL,
FINPUTCOUNT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXQUOTE_INPUT_H') 
 CREATE TABLE T_MD_FOREXQUOTE_INPUT_H (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FQUOTETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTERM NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBUYPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FBUYPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSELLPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FMIDPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSELLPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FMIDPOINTS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXQUOTE_OUTPUT_H') 
 CREATE TABLE T_MD_FOREXQUOTE_OUTPUT_H (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FQUOTETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTERM NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBUYPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSELLPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FMIDPRICE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_QUOTE_WC_H') 
 CREATE TABLE T_MD_QUOTE_WC_H (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYId BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


/**End D:\next\pdm_upgrade\pdm_upgrade\pdm1\MD_table.sql **/
