﻿/**Begin D:\PDM_UPGRADE\PDM1\MD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_YIELDLINE')
CREATE TABLE T_MD_YIELDLINE (
                                FID BIGINT DEFAULT 0 NOT NULL,
                                FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
                                FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                FAUDITORID BIGINT DEFAULT 0 NOT NULL,
                                FAUDITDATE DATETIME,
                                FMODIFYTIME DATETIME,
                                FCREATETIME DATETIME,
                                FDATATYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                FREFDATE DATETIME,
                                FPRICERULEID BIGINT DEFAULT 0 NOT NULL,
                                FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
                                FBASIS NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                FADJUSTMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                FFREQUENCY NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                FBOOTSTRAP NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                FBONDENDROLL CHAR(1) DEFAULT '0' NOT NULL,
                                FINTERPTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                FBONDDEALTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                FDATEAXISID BIGINT DEFAULT 0 NOT NULL,
                                FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_YIELDLINE_FINTOOL')
CREATE TABLE T_MD_YIELDLINE_FINTOOL (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FENTRYID BIGINT DEFAULT 0 NOT NULL,
                                        FSEQ INT DEFAULT 0 NOT NULL,
                                        FFINTOOL NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FFUTURECONTRACT NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FFRA NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FISMIDRATE CHAR(1) DEFAULT '1' NOT NULL,
                                        FMIDRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                        FBUYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                        FSELLRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                        FBASIS NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FFREQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FRATEOFFSET INT DEFAULT 0 NOT NULL,
                                        FADJMETHOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FFUTUREENDDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                        FCOUPONRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
                                        FISSUEDATE DATETIME,
                                        FENDDATE DATETIME,
                                        FISFORCURVE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_YIELDLINE_L')
CREATE TABLE T_MD_YIELDLINE_L (
                                  FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
                                  FID BIGINT DEFAULT 0 NOT NULL,
                                  FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
                                  FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                  FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_YIELDLINE_WC')
CREATE TABLE T_MD_YIELDLINE_WC (
                                   FPKID BIGINT DEFAULT 0 NOT NULL,
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

/**End D:\PDM_UPGRADE\PDM1\MD_table.sql **/
