﻿/**Begin D:\PDM_UPGRADE\PDM1\MD_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_MD_DATAINDEX', 'T_MD_DATAINDEX', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_DATAINDEX') CREATE INDEX IDX_TBD_DATAINDEX ON T_MD_DATAINDEX ( FREFERINDEXID ,FBIZDATE );


 EXEC P_ALTERPK 'PK_T_MD_DATAINDEX_L', 'T_MD_DATAINDEX_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_DATAINDXE_L_ID') CREATE  CLUSTERED INDEX IDX_MD_DATAINDXE_L_ID ON T_MD_DATAINDEX_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MD_DATARATE', 'T_MD_DATARATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_TBD_DATARATE') CREATE INDEX IDX_TBD_DATARATE ON T_MD_DATARATE ( FREFERRATEID ,FBIZDATE ,FENDPRICE );


 EXEC P_ALTERPK 'PK_T_MD_DATARATE_L', 'T_MD_DATARATE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_DATARATE_ID') CREATE  CLUSTERED INDEX IDX_MD_DATARATE_ID ON T_MD_DATARATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MD_SCHEDULEPLAN', 'T_MD_SCHEDULEPLAN', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_SCHEDULE_B') CREATE  CLUSTERED INDEX IDX_MD_SCHEDULE_B ON T_MD_SCHEDULEPLAN ( FDATATYPE ,FITEMDATAID ,FTRADEBILLID ,FSCHEDULETIME ,FSCHEDULESTATUS );


 EXEC P_ALTERPK 'PK_T_MD_SCHEDULEPLAN_L', 'T_MD_SCHEDULEPLAN_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_SCHEDULEPLAN_L') CREATE  CLUSTERED INDEX IDX_MD_SCHEDULEPLAN_L ON T_MD_SCHEDULEPLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MD_INTRATEVOL', 'T_MD_INTRATEVOL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_INTRATEVOL_BB') CREATE  CLUSTERED INDEX IDX_INTRATEVOL_BB ON T_MD_INTRATEVOL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_MD_INTRATEVOL_L', 'T_MD_INTRATEVOL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_INTRATEVOL_L_ID') CREATE  CLUSTERED INDEX IDX_MD_INTRATEVOL_L_ID ON T_MD_INTRATEVOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MD_INTRATEVOL_WC', 'T_MD_INTRATEVOL_WC', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_INTRATEVOL_WC_FID') CREATE INDEX IDX_MD_INTRATEVOL_WC_FID ON T_MD_INTRATEVOL_WC ( FID );


 EXEC P_ALTERPK 'PK_T_MD_RATEVOL_FT', 'T_MD_RATEVOL_FT', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_RATEVOL_FT_ID') CREATE  CLUSTERED INDEX IDX_MD_RATEVOL_FT_ID ON T_MD_RATEVOL_FT ( FID ,FENTRYID );


 EXEC P_ALTERPK 'PK_T_MD_RATEVOL_ST', 'T_MD_RATEVOL_ST', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_RATEVOL_ST_ID_ENTID') CREATE  CLUSTERED INDEX IDX_MD_RATEVOL_ST_ID_ENTID ON T_MD_RATEVOL_ST ( FID );

 EXEC P_ALTERPK 'PK_T_MD_FOREXQUOTE', 'T_MD_FOREXQUOTE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_FOREXQUOTE_B') CREATE  CLUSTERED INDEX IDX_MD_FOREXQUOTE_B ON T_MD_FOREXQUOTE ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_MD_FOREXQUOTE_CP', 'T_MD_FOREXQUOTE_CP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_FOREXQUOTE_CP_FK') CREATE INDEX IDX_MD_FOREXQUOTE_CP_FK ON T_MD_FOREXQUOTE_CP ( FID );


 EXEC P_ALTERPK 'PK_T_MD_FOREXQUOTE_CP_H', 'T_MD_FOREXQUOTE_CP_H', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_FOREXQUOTE_CP_H') CREATE INDEX IDX_MD_FOREXQUOTE_CP_H ON T_MD_FOREXQUOTE_CP_H ( FID );


 EXEC P_ALTERPK 'PK_T_MD_FOREXQUOTE_FORWARD', 'T_MD_FOREXQUOTE_FORWARD', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_FOREXQUOTE_FORWARD_ID') CREATE  CLUSTERED INDEX IDX_MD_FOREXQUOTE_FORWARD_ID ON T_MD_FOREXQUOTE_FORWARD ( FID );


 EXEC P_ALTERPK 'PK_T_MD_FOREXQUOTE_FORWARD_H', 'T_MD_FOREXQUOTE_FORWARD_H', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_FOREXQUOTE_FORWARD_H') CREATE  CLUSTERED INDEX IDX_MD_FOREXQUOTE_FORWARD_H ON T_MD_FOREXQUOTE_FORWARD_H ( FCURRPAIRID ,FFORWARDDATE ,FMIDDLERATE );


 EXEC P_ALTERPK 'PK_T_MD_FOREXQUOTE_H', 'T_MD_FOREXQUOTE_H', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_FOREXQUOTE_H_B') CREATE  CLUSTERED INDEX IDX_MD_FOREXQUOTE_H_B ON T_MD_FOREXQUOTE_H ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_MD_FOREXQUOTE_H_L', 'T_MD_FOREXQUOTE_H_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_FOREXQUOTE_L_H') CREATE  CLUSTERED INDEX IDX_MD_FOREXQUOTE_L_H ON T_MD_FOREXQUOTE_H_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MD_FOREXQUOTE_L', 'T_MD_FOREXQUOTE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_FOREXQUOTE_L_ID') CREATE  CLUSTERED INDEX IDX_MD_FOREXQUOTE_L_ID ON T_MD_FOREXQUOTE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MD_FOREXQUOTE_SPOT', 'T_MD_FOREXQUOTE_SPOT', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_FOREXQUOTE_SPOT_ID') CREATE  CLUSTERED INDEX IDX_MD_FOREXQUOTE_SPOT_ID ON T_MD_FOREXQUOTE_SPOT ( FID );


 EXEC P_ALTERPK 'PK_T_MD_FOREXQUOTE_SPOT_H', 'T_MD_FOREXQUOTE_SPOT_H', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_FOREXQUOTE_SPOT_H') CREATE  CLUSTERED INDEX IDX_MD_FOREXQUOTE_SPOT_H ON T_MD_FOREXQUOTE_SPOT_H ( FSELLCURRENCYID ,FBUYCURRENCYID ,FMIDDLEPRICE );


 EXEC P_ALTERPK 'PK_T_MD_FOREXVOL', 'T_MD_FOREXVOL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_FOREXVOL_BB') CREATE  CLUSTERED INDEX IDX_MD_FOREXVOL_BB ON T_MD_FOREXVOL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_MD_FOREXVOL_ENTRYS', 'T_MD_FOREXVOL_ENTRYS', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_FOREXVOL_ENTRYS_ID') CREATE  CLUSTERED INDEX IDX_MD_FOREXVOL_ENTRYS_ID ON T_MD_FOREXVOL_ENTRYS ( FID );


 EXEC P_ALTERPK 'PK_T_MD_FOREXVOL_L', 'T_MD_FOREXVOL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_FOREXVOL_L_ID') CREATE  CLUSTERED INDEX IDX_MD_FOREXVOL_L_ID ON T_MD_FOREXVOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MD_BONDVOL', 'T_MD_BONDVOL', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_BONDVOL_BB') CREATE  CLUSTERED INDEX IDX_MD_BONDVOL_BB ON T_MD_BONDVOL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_MD_BONDVOL_BI', 'T_MD_BONDVOL_BI', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MD_BONDVOL') CREATE  CLUSTERED INDEX IDX_T_MD_BONDVOL ON T_MD_BONDVOL_BI ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_MD_BONDVOL_ENTRYS', 'T_MD_BONDVOL_ENTRYS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_BONDVOL_ENTRYS_FID') CREATE INDEX IDX_MD_BONDVOL_ENTRYS_FID ON T_MD_BONDVOL_ENTRYS ( FID );


 EXEC P_ALTERPK 'PK_T_MD_BONDVOL_L', 'T_MD_BONDVOL_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_BONDVOL_L_ID') CREATE  CLUSTERED INDEX IDX_MD_BONDVOL_L_ID ON T_MD_BONDVOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MD_APPHOME_SETTING', 'T_MD_APPHOME_SETTING', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MD_APPHOME_SETTING_BB') CREATE  CLUSTERED INDEX IDX_T_MD_APPHOME_SETTING_BB ON T_MD_APPHOME_SETTING ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_MD_APPHOME_SETTING_L', 'T_MD_APPHOME_SETTING_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_MD_APPHOME_SETTING_L_BB') CREATE  CLUSTERED INDEX IDX_T_MD_APPHOME_SETTING_L_BB ON T_MD_APPHOME_SETTING_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_MD_OPEN', 'T_MD_OPEN', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MD_OPEN_BB') CREATE  CLUSTERED INDEX IDX_MD_OPEN_BB ON T_MD_OPEN ( FBILLNO );



/**End D:\PDM_UPGRADE\PDM1\MD_constraint.sql **/
