﻿/**Begin D:\PDM_UPGRADE\PDM1\MD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_DATAINDEX') 
 CREATE TABLE T_MD_DATAINDEX (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREFERINDEXID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FENDPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEGINPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIMEPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATASOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_DATAINDEX_L') 
 CREATE TABLE T_MD_DATAINDEX_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_DATARATE') 
 CREATE TABLE T_MD_DATARATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREFERRATEID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FBEGINPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATASOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_DATARATE_L') 
 CREATE TABLE T_MD_DATARATE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_SCHEDULEPLAN') 
 CREATE TABLE T_MD_SCHEDULEPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FDATATYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FITEMDATAID BIGINT DEFAULT 0 NOT NULL,
FTRADEBILLID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULETIME DATETIME,
FSCHEDULESTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_SCHEDULEPLAN_L') 
 CREATE TABLE T_MD_SCHEDULEPLAN_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_INTRATEVOL') 
 CREATE TABLE T_MD_INTRATEVOL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FDATATYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPRICERULEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTIMEINTERVAL NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISFIXEDPRICE CHAR(1) DEFAULT ' ' NOT NULL,
FISFIXEDVOL CHAR(1) DEFAULT ' ' NOT NULL,
FISATMPRICE CHAR(1) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FBASIS VARCHAR(30) DEFAULT ' ' NOT NULL,
FPOINT INT DEFAULT 0 NOT NULL,
FDATEADJUSTMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FRISKFACTORS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FATMPRICECOL BIGINT DEFAULT 0 NOT NULL,
FREFDATE DATETIME,
FINSERTMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREFINDEXID BIGINT DEFAULT 0 NOT NULL,
FTERMSTART DATETIME,
FTERMEND DATETIME,
FSTRIKEDIF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPARVOLDIF DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMARKETID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAMEPRICE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_INTRATEVOL_L') 
 CREATE TABLE T_MD_INTRATEVOL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_INTRATEVOL_WC') 
 CREATE TABLE T_MD_INTRATEVOL_WC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_RATEVOL_FT') 
 CREATE TABLE T_MD_RATEVOL_FT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFINTOOL NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPARVOL DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPREMIUM DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTRIKE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPARSTRIKE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FFINSTRIKEDIF DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FFINPARVOLDIF DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FSTRIKESOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPARVOLSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPREMIUMSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTERM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FADDPOINT BIGINT DEFAULT 0 NOT NULL,
FZERORATE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_RATEVOL_ST') 
 CREATE TABLE T_MD_RATEVOL_ST (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENDDATE DATETIME,
FIMPLIEDVOL DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FSTRUCTSTRIKE DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FSTRUCTPOINT BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXQUOTE') 
 CREATE TABLE T_MD_FOREXQUOTE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FDATATYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPRICERULEID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXQUOTE_CP') 
 CREATE TABLE T_MD_FOREXQUOTE_CP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXQUOTE_CP_H') 
 CREATE TABLE T_MD_FOREXQUOTE_CP_H (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXQUOTE_FORWARD') 
 CREATE TABLE T_MD_FOREXQUOTE_FORWARD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBUYPS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCURRPAIRID BIGINT DEFAULT 0 NOT NULL,
FFORWARDDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBUYRATE DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FSELLRATE DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FMIDDLERATE DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FSELLPS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FMIDDLEPS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FFRTFON CHAR(1) DEFAULT ' ' NOT NULL,
FFRTFSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDATEAXISID BIGINT DEFAULT 0 NOT NULL,
FEXACTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXQUOTE_FORWARD_H') 
 CREATE TABLE T_MD_FOREXQUOTE_FORWARD_H (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBUYPS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCURRPAIRID BIGINT DEFAULT 0 NOT NULL,
FFORWARDDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBUYRATE DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FSELLRATE DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FMIDDLERATE DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FSELLPS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FMIDDLEPS DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FFRTFON CHAR(1) DEFAULT ' ' NOT NULL,
FFRTFSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDATEAXISID BIGINT DEFAULT 0 NOT NULL,
FEXACTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXQUOTE_H') 
 CREATE TABLE T_MD_FOREXQUOTE_H (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FDATATYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPRICERULEID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXQUOTE_H_L') 
 CREATE TABLE T_MD_FOREXQUOTE_H_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXQUOTE_L') 
 CREATE TABLE T_MD_FOREXQUOTE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXQUOTE_SPOT') 
 CREATE TABLE T_MD_FOREXQUOTE_SPOT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSELLCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBUYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBUYPRICE DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FSELLPRICE DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FMIDDLEPRICE DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FRTFON CHAR(1) DEFAULT ' ' NOT NULL,
FRTFSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXQUOTE_SPOT_H') 
 CREATE TABLE T_MD_FOREXQUOTE_SPOT_H (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSELLCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBUYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBUYPRICE DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FSELLPRICE DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FMIDDLEPRICE DECIMAL(19,6) DEFAULT 0.0000000000 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FRTFON CHAR(1) DEFAULT ' ' NOT NULL,
FRTFSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXVOL') 
 CREATE TABLE T_MD_FOREXVOL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FDATATYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREFERDATE DATETIME,
FPRICERULEID BIGINT DEFAULT 0 NOT NULL,
FDATEAXISID BIGINT DEFAULT 0 NOT NULL,
FCURRPAIRS VARCHAR(2000) DEFAULT ' ' NOT NULL,
FLOCKSTRIKE CHAR(1) DEFAULT ' ' NOT NULL,
FLOCKDELTA CHAR(1) DEFAULT ' ' NOT NULL,
FSMILECURRPAIRS NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FSMILEMATURITYTERM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCALLSTRIKEFREEZE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPUTSTRIKEFREEZE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCALLVOLFREEZE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPUTVOLFREEZE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FATMLAYER BIGINT DEFAULT 0 NOT NULL,
FSTRIKENUM BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXVOL_ENTRYS') 
 CREATE TABLE T_MD_FOREXVOL_ENTRYS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXPIREDATE DATETIME,
FCURRPAIR NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCALLVOL DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPUTVOL DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCALLSTRIKE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPUTSTRIKE DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCALLDELTA DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPUTDELTA DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCALLPREMIUM DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPUTPREMIUM DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCALLVOLSPREAD DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPUTVOLSPREAD DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FCALLSTRIKESPREAD DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FPUTSTRIKESPREAD DECIMAL(23,10) DEFAULT 0.0000000000 NOT NULL,
FRTFON CHAR(1) DEFAULT ' ' NOT NULL,
FPUTVOLRTFSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCALLSTRIKERTFSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTPUTSTRIKERTFSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTRIKENO BIGINT DEFAULT 0 NOT NULL,
FTERM NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCALLVOLRTFSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_FOREXVOL_L') 
 CREATE TABLE T_MD_FOREXVOL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_BONDVOL') 
 CREATE TABLE T_MD_BONDVOL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FDATATYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPRICERULEID BIGINT DEFAULT 0 NOT NULL,
FSURFACETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSMILEPOINTS BIGINT DEFAULT 0 NOT NULL,
FDATEORPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERPOLATE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDATEAXISID BIGINT DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENABLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_BONDVOL_BI') 
 CREATE TABLE T_MD_BONDVOL_BI (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_BONDVOL_ENTRYS') 
 CREATE TABLE T_MD_BONDVOL_ENTRYS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBONDISSUEID BIGINT DEFAULT 0 NOT NULL,
FBIENDDATE DATETIME,
FSMILEPOINT INT DEFAULT 0 NOT NULL,
FEXERCISEDATE DATETIME,
FEXPERIOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTRIKECP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTRIKEFP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FATMCP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FATMFP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTRIKEPRICESPREAD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREPRICEVOL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPREMIUM DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPTIONTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPRICEVOL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYIELDVOL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISRTF CHAR(1) DEFAULT ' ' NOT NULL,
FRTFSOURCE NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_BONDVOL_L') 
 CREATE TABLE T_MD_BONDVOL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_APPHOME_SETTING') 
 CREATE TABLE T_MD_APPHOME_SETTING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FFOREXQUOTEID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYPAIR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREFERINDEXID BIGINT DEFAULT 0 NOT NULL,
FDATETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBEGINDATE DATETIME,
FENDDATE DATETIME,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FYIELDCURVEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_APPHOME_SETTING_L') 
 CREATE TABLE T_MD_APPHOME_SETTING_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MD_OPEN') 
 CREATE TABLE T_MD_OPEN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOUNTERPARTYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT BIGINT DEFAULT 0 NOT NULL,
FEXPIREDATE DATETIME,
FVALDATE DATETIME,
FISEXCRATELOCK CHAR(1) DEFAULT ' ' NOT NULL,
FEXRATELOCKDATE DATETIME,
FLOCKEXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFEERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADDNUMER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROTECTTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTRACTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREFINDEX BIGINT DEFAULT 0 NOT NULL,
FDISCRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEUSERID BIGINT DEFAULT 0 NOT NULL,
FACCEPTDATE DATETIME,
FACCEPTCURRENCY BIGINT DEFAULT 0 NOT NULL,
FACCEPTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCEPTEXPIREDATE DATETIME,
FSETTLEMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FDIRECTION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTONNAGE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSUEDATE DATETIME,
FBASIS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLOWRISKID BIGINT DEFAULT 0 NOT NULL,
FCONTRACTPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSUEFEE DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\MD_table.sql **/
